<template>
  <v-snackbar
    v-model="snackbar"
    :color="color"
    :bottom="bottom"
    :top="top"
    :left="left"
    :right="right"
    dark
  >
    <v-row class="justify-center">
      <v-icon
        color="white"
        class="mr-3"
      >
        mdi-bell-plus
      </v-icon>
      <div class="text-center mr-4">
        {{ snackbarContent }}
      </div>
      <v-icon
        size="16"
        @click="snackbar = false"
      >
        mdi-close-circle
      </v-icon>
    </v-row>
  </v-snackbar>
</template>

<script>

  export default {
    data () {
      return {
        color: null,
        colors: [
          'purple',
          'info',
          'success',
          'warning',
          'error',
        ],
        top: true,
        bottom: false,
        left: false,
        right: false,
        snackbar: false,
        snackbarContent: 'Đã có lỗi hệ thống xảy ra, vui lòng kiểm tra lại hoặc liên hệ với admin!!!',

      }
    },
    computed: {},
    mounted: function () {

    }, // end method
    created () {

    }, // end data
    methods: {
      snack (...args) {
        this.top = true
        this.bottom = true
        this.left = true
        this.right = true

        for (const loc of args) {
          this[loc] = true
        }

        // this.color = this.colors[Math.floor(Math.random() * this.colors.length)]

        this.snackbar = true
      },
    }, // end created
  } // End exxport defaul
</script>
<style scoped>
</style>
